<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?python import sitetemplate ?>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#" py:extends="sitetemplate">

<head py:match="item.tag=='{http://www.w3.org/1999/xhtml}head'" py:attrs="item.items()">
    <meta content="text/html; charset=UTF-8" http-equiv="content-type" py:replace="''"/>
    <title py:replace="''">Your title goes here</title>
    <link href="/static/css/widget.css" text="text/css" rel="stylesheet" />
    <link href="/static/css/ironcurtain.css" text="text/css" rel="stylesheet" />
    <meta py:replace="item[:]"/>
</head>

<body py:match="item.tag=='{http://www.w3.org/1999/xhtml}body'" py:attrs="item.items()">
    <table id="top" width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td id="logo">
                <img src="/static/images/ironcurtain_logo.png" border="0"/>
            </td>
            <td valign="bottom">
                <img src="/static/images/ironcurtain_top_vertical_line.png" border="0"/>
            </td>
            <td id="login_part" align="right">
                <div py:if="tg.config('identity.on',False) and not 'logging_in' in locals()">
                    <span py:if="tg.identity.anonymous">
                        <a href="/login">Login</a>
                    </span>
                    <span py:if="not tg.identity.anonymous">
                        <a href="/logout">Logout</a>
                    </span>
                </div>
           </td>
        </tr>
    </table>
    
    <br/>
    
    <div id="pagelinks" py:if="pagetitle!='IronCurtain Front Page'" align="center">
        <a id="pagelink" 
           href="/rules" py:if="pagetitle=='Plugin/Rule Management'">
            <b>Plugin/Rule Management</b>
        </a>
        <a href="/rules" py:if="pagetitle!='Plugin/Rule Management'">
            Plugin/Rule Management
        </a>
        <a id="pagelink" 
           href="/users" py:if="pagetitle=='User/Group Management'">
            <b>User/Group Management</b>
        </a>
        <a href="/users" py:if="pagetitle!='User/Group Management'">
            User/Group Management
        </a>      
        <a id="pagelink" 
           href="/logs" py:if="pagetitle=='Log Analysis'">
            <b>Log Analysis</b>
        </a>
        <a href="/logs" py:if="pagetitle!='Log Analysis'">
            Log Analysis
        </a>
        <a id="pagelink" 
           href="/monitor" py:if="pagetitle=='Monitoring'">
            <b>Monitoring</b>
        </a>
        <a href="/monitor" py:if="pagetitle!='Monitoring'">
            Monitoring
        </a>
    </div>
    
    <div id="active_pagelinks" py:if="pagetitle=='IronCurtain Front Page'" align="center">
         <a href="/rules">Plugin/Rule Management</a>
         <a href="/users">User/Group Management</a>        
         <a href="/logs">Log Analysis</a>
         <a href="/monitor">Monitoring</a>
    </div>
    <br/>
    
    <div py:if="tg_flash" class="flash" py:content="tg_flash"></div>

    <div py:replace="item[:]"/>
</body>

</html>
