from constants import *
from threading import *
import time

from model import *

class LoggingException:
    pass

class ICLog(Thread):
    """ It is a thread it writes to database in some intervals according to its sleeping time"""
    def run(self):
        """In regular intervals it executes all the SQL statements """
        while True:
            if hasattr(self, "con"):
                cur = self.con.cursor()
                if self.actionQueue != []:
                    sqlstats = ""
                    for i in self.actionQueue:
                        sqlstats += i + ";"
                    cur.executescript(sqlstats)
                    self.actionQueue = []
            else:
                self.con = sqlite.connect(DB_FILE)
                self.actionQueue = []
            time.sleep(5)
                    
    def log_user_action(self, uid, site, domain, bandwidth, actime):
        """It logs the user actions, It adds to action queue then run function writes to database in some intervals """
        #TODO: Do REAL error checking!!!
        slargs = [uid, site, domain]
        for i in slargs:
            if type(i) != str:
                raise LoggingException()
 
        if type(bandwidth) != int:
            raise LoggingException()
            
        for i in actime:
            if type(i) != float:
                raise LoggingException()
        
        sqlstat = "INSERT INTO UserLog VALUES ("
        for i in slargs:
            sqlstat += "'" + i + "'" + ", "
        
        sqlstat += str(bandwidth) + ", "
        sqlstat += str(actime[0]) + ", " + str(actime[1]) + ")"
              
        self.actionQueue.append(sqlstat)
