#! /usr/bin/env python

import re, os, sys

sys.path.append(os.path.join("..", "src"))
from model import ICRule

black_list_file = file(os.path.join("..", "data", "ads.txt"))
popup_list_file = file(os.path.join("..", "data", "popup.txt"))

try:
    ad_block_rule = ICRule.select(ICRule.q.ruleName == "AdBlocker")[0]
    ad_block_urls = []

    for line in black_list_file.readlines():
        line = line.replace(".", "\.")[:-1]
        line = line.replace("*", ".*")
        ad_block_urls.append(line)

    ad_block_rule.appliedURLs = ad_block_urls
except ListIndexOutOfRange:
    print "No rule named AdBlocker"
except:
    print "Unrecognized error"


try:
    popup_block_rule = ICRule.select(ICRule.q.ruleName == "PopupBlocker")[0]
    popup_block_urls = []
    
    for line in popup_list_file.readlines():
        line = line.replace(".", "\.")[:-1]
        line = line.replace("*", ".*")
        popup_block_urls.append(line)

    popup_block_rule.appliedURLs = popup_block_urls
except ListIndexOutOfRange:
    print "No rule named AdBlocker"
except:
    print "Unrecognized error"
