<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#" py:extends="'master.kid'">
<head>
    <meta content="text/html; charset=UTF-8" http-equiv="content-type" py:replace="''"/>
    <title>Log Analyzer</title>
    <link href="/static/css/plugin.css" text="text/css" rel="stylesheet" />
    <link media="all" href="/tg_widgets/turbogears.widgets/calendar/calendar-system.css" type="text/css" rel="stylesheet"/>
    <script language="JavaScript" src="${tg.tg_js}/MochiKit.js"></script>
    <script language="JavaScript" src="/static/javascript/widget.js"></script>
    <script language="JavaScript" src="${tg.tg_static}/js/tool-man/core.js"></script>
    <script language="JavaScript" src="${tg.tg_static}/js/tool-man/events.js"></script>
    <script language="JavaScript" src="${tg.tg_static}/js/tool-man/css.js"></script>
    <script language="JavaScript" src="${tg.tg_static}/js/tool-man/coordinates.js"></script>
    <script language="JavaScript" src="${tg.tg_static}/js/tool-man/drag.js"></script>
    <script language="JavaScript" src="${tg.tg_static}/js/tool-man/dragsort.js"></script>
    <script src="${tg.widgets}/turbogears.widgets/calendar/calendar.js" type="text/javascript"></script>
    <script src="${tg.widgets}/turbogears.widgets/calendar/lang/calendar-en.js" type="text/javascript"></script>
    <script src="${tg.widgets}/turbogears.widgets/calendar/calendar-setup.js" type="text/javascript"></script>
    <script language="JavaScript" src="/static/javascript/ironcurtain-logs.js"></script>
    <style>
        .queryBox
        {
            width: 350px;
            margin: auto;
            padding-left: 75px;
            padding-right: 5px;
            padding-top: 5px;
            padding-bottom: 5px;
            font-family: verdana;
            font-size: 10px;
            background-color: #eee;
            border: 2px solid #ccc;
        }
    </style>
</head>

<body>
    <table cellpadding="0" cellspacing="0" border="0" align="center">
       	<tr>
    		<td id="query_area" valign="top" class="queryBox">
    			<form id="queryform" name="queryform">
    			<table>
    				<tr><td>User : </td><td><input type="text" id="user" name="queryusername" /></td></tr>
                                <tr><td>Group : </td><td><input type="text" id="group" name="querygroupname" /></td></tr>
    				<tr><td>URL : </td><td><input type="text" id="url" name="queryurl" /></td></tr>
    				<tr><td valign="center">Time From : </td>
    					<td><input name="datetime_picker" type="text" 
    							   class="calendardatetimepicker requiredfield" 
    							   value=""
    							   id="starttime"/>
    						<input type="button" id="starttime_trigger" 
    							   value="Choose" class="buts_log"/>
    						
						    <script type="text/javascript">
						    Calendar.setup(
						    {
						        inputField : "starttime",
						        ifFormat : "%Y/%m/%d %H:%M",
						        button : "starttime_trigger"
						        , showsTime : true
						    }
						    );
						    </script></td></tr>
    				<tr><td valign="center">Time To : </td>
    					<td><input name="datetime_picker" type="text" 
    							   class="calendardatetimepicker requiredfield" 
    							   value="${current_time}"
    							   id="endtime"/>
    						<input type="button" id="endtime_trigger" 
    							   value="Choose" class="buts_log"/>
    						
				    <script type="text/javascript">
				    Calendar.setup(
				    {
				        inputField : "endtime",
				        ifFormat : "%Y/%m/%d %H:%M",
				        button : "endtime_trigger"
				        , showsTime : true
				    }
				    );
				    </script></td></tr>
				    <tr><td><input type="button" class="buts_log" 
				    				onclick="ironcurtain.sendQuery()" value="Query" /></td></tr>
				    
    			</table>
    			</form>
    		</td>
    	</tr>
        </table>
        <table align="center">
        <tr>
            <td id="main_area" valign="top">
                <div id="logs"></div>
            </td>
        </tr>
    </table>
    <br /><br /><br />
</body>
</html>
