import js.jslib
import js.JSListener

class JSFilter (js.JSListener.JSListener):
    """defines callback handlers for filtering Javascript code"""

    def __init__ (self):
        self.js_env = js.jslib.JSEnv()
        self.js_env.listeners.append(self)
        self.data = ""
    
    def __del__(self):
        self.js_env.listeners.remove(self)

    def _str__ (self):
        return self.__class__.__name__
    
    def execute_script(self, script, ver):
        self.js_env.executeScript(script, ver)

    def js_process_data (self, data):
        """produced by document.write() JavaScript"""
        self.data += data

    def js_process_popup (self):
        """process javascript popup"""
        pass

    def js_process_error (self, msg):
        """process javascript syntax error"""
        pass
