""" In this file,the general used constants are defined.""" 
import os

""" These are the HTTP request methods """
METHOD_NONE = 0
METHOD_GET  = 1
METHOD_HEAD = 2
METHOD_POST = 3
METHOD_PUT  = 4
METHOD_DELETE  = 5
METHOD_CONNECT = 6

""" These are the actions that rules return """
ACTION_FORWARD  = 0
ACTION_BLOCK    = 1
ACTION_ANSWER   = 2
ACTION_REDIRECT = 3

""" These are the rule apply times """
BEFORE_BODY = 0
AFTER_4KB = 1
AFTER_BODY = 2

""" These are the classes and constants used in plugins' parameter checking """
class ParamError(Exception): pass
PARAM_TYPE_MISMATCH = "Type mismatch in parameter: "
PARAM_CONTENT_ERROR = "The content of parameter is out of bounds: "